#include "dhcpcd.h"

bool
rev_inet_addr(__u32 netByteIPAddr32, char *dotIP)
{
	memset(dotIP, 0, 16);
	
	struct in_addr	addr;
	addr.s_addr = netByteIPAddr32;

	memcpy(dotIP, inet_ntoa(addr), 16); 
	return true;
}


bool
printInfo(struct dhcpGetInfo *_dhcpGetInfo)
{
	printf("DefaultGateway\t%u.%u.%u.%u\n",
		(unsigned char *)_dhcpGetInfo->defaultGateway[0],
		(unsigned char *)_dhcpGetInfo->defaultGateway[1],
		(unsigned char *)_dhcpGetInfo->defaultGateway[2],
		(unsigned char *)_dhcpGetInfo->defaultGateway[3]
	);

	printf("dhcpLeaseTime\t%d\n",_dhcpGetInfo->dhcpLeaseTime);

	printf("DomainNameServer\t%u.%u.%u.%u\n",
		(unsigned char *)_dhcpGetInfo->dns[0],
		(unsigned char *)_dhcpGetInfo->dns[1],
		(unsigned char *)_dhcpGetInfo->dns[2],
		(unsigned char *)_dhcpGetInfo->dns[3]
	);

	printf("domainName\t%s\n",_dhcpGetInfo->domainName);

	printf("xid\t%d\n", _dhcpGetInfo->xid);

	char ip[16];
	rev_inet_addr(_dhcpGetInfo->yourClientIPAddress, ip);
	printf("yourClientIPAddress\t%s\n", ip);

	rev_inet_addr(_dhcpGetInfo->nextServerIPAddress, ip);
	printf("nextServerIPAddress\t%s\n", ip);

	return true;
}

void main(void)
{
	CDhcpcd	_dhcpcd("\\Device\\Packet_{B2C59A4C-2571-4B66-B7FE-8B37A1C4C00F}", "ebata24");

	struct dhcpGetInfo	_dhcpGetInfo;
	memset(&_dhcpGetInfo, 0, sizeof(struct dhcpGetInfo));

	_dhcpcd.start(&_dhcpGetInfo);
	printInfo(&_dhcpGetInfo);

	Sleep(2000);

	_dhcpcd.status(&_dhcpGetInfo);
	printInfo(&_dhcpGetInfo);	

	Sleep(2000);

	_dhcpcd.end();
}	
		